Main Restorations Software Audio/Jukebox/MP3 Everything Else Buy/Sell/Trade
Project Announcements Monitor/Video GroovyMAME Merit/JVL Touchscreen Meet Up Retail Vendors
Driving & Racing Woodworking Software Support Forums Consoles Project Arcade Reviews
Automated Projects Artwork Frontend Support Forums Pinball Forum Discussion Old Boards
Raspberry Pi & Dev Board controls.dat Linux Miscellaneous Arcade Wiki Discussion Old Archives
Lightguns --- Bug Reports --- Site News

Unread posts | New Replies | Recent posts | Rules | Chatroom | Wiki | File Repository | RSS | Submit news

  

Author Topic: Question about ubuntu patches for GroovyMAME  (Read 2353 times)

0 Members and 1 Guest are viewing this topic.

NightSprinter

  • Trade Count: (0)
  • Full Member
  • ***
  • Offline Offline
  • Posts: 172
  • Last login:June 17, 2018, 08:59:56 pm
Question about ubuntu patches for GroovyMAME
« on: September 27, 2011, 10:55:43 pm »
I've sadly given up on the gentoo fork (having too much hassle trying to make portage work), and will be switching back to Ubuntu (as I read bitbytebit has made some kernel patches)  Would it be suggested to only use 10.10, or could I install 11.04 and work with the patches?  I've a Radeon X300 (and a 3000-series if I can get the right upgrade for a client in exchange), and an nVidia 9800GTX+ I'd like to test out.

Any ideas on this?
« Last Edit: September 29, 2011, 04:14:39 pm by NightSprinter »
It doesn't matter how bad things are, it'll work out in the end.

NightSprinter

  • Trade Count: (0)
  • Full Member
  • ***
  • Offline Offline
  • Posts: 172
  • Last login:June 17, 2018, 08:59:56 pm
Re: Question about ubuntu patches for GroovyMAME
« Reply #1 on: September 30, 2011, 11:04:36 pm »
Anyone?  I just want to be able to enjoy MAME the way it was supposed to be enjoyed on a multi-scan monitor.  :banghead:
It doesn't matter how bad things are, it'll work out in the end.

Calamity

  • Trade Count: (0)
  • Full Member
  • ***
  • Offline Offline
  • Posts: 6552
  • Last login:May 17, 2019, 11:19:04 am
Re: Question about ubuntu patches for GroovyMAME
« Reply #2 on: October 13, 2011, 11:59:29 am »
Hi NightSprinter,

D_Skywalk from the Spanish forums has managed to port GroovyArcade patches to Ubuntu, I don't know the details but it's here in case you're still interested:

http://www.retrovicio.org/foro/showthread.php?14969-GroovyArcade-Por-fin-100-Pixel-Perfect-y-mucho-mas/page19
Important note: posts reporting GM issues without a log will be IGNORED.
Steps to create a log:
 - From command line, run: groovymame.exe -v romname >romname.txt
 - Attach resulting romname.txt file to your post, instead or pasting it.

CRT Emudriver, VMMaker & Arcade OSD downloads, documentation and discussion:  Eiusdemmodi

gabe

  • Trade Count: (0)
  • Full Member
  • ***
  • Offline Offline
  • Posts: 102
  • Last login:September 10, 2012, 12:44:38 pm
Re: Question about ubuntu patches for GroovyMAME
« Reply #3 on: October 17, 2011, 02:47:38 pm »
I would advise against it. I was able to mostly recreate Groovy in Arch Linux, however for reasons unknown to me (or bitbytebit) MAME would always crash when trying to load games with dotclocks below 5.911MHz.

I can tell you that at a minimum, you will need to patch & compile particular versions of the kernel, SDL, and of course MAME. Additionally, you may have to upgrade/downgrade  and recompile certain video components.

I documented the kernel compilation process here:
http://forum.arcadecontrols.com/index.php?topic=107620.msg1193204#msg1193204

Best of luck!